%define with_maven 1
Name:          apache-commons-jexl1
Version:       1.1
Release:       %mkrel 2
Summary:       Java Expression Language (JEXL)
Group:         Development/Java
URL:           http://commons.apache.org/jexl/
Source:        http://mirror.nohup.it/apache/commons/jexl/source/commons-jexl-%{version}-src.tar.gz

# from http://www.jarvana.com/jarvana/inspect-pom/commons-jexl/commons-jexl/1.1/commons-jexl-1.1.pom and modified
# removed maven-xdoc-plugin and maven-findbugs-plugin
Source1:       commons-jexl-1.1.pom
License:       ASL 2.0

BuildRequires: apache-commons-logging
BuildRequires: junit
%if !%with_maven
BuildRequires: ant
BuildRequires: ant-junit
%else
BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-surefire-plugin
%endif
BuildRequires: java-devel
BuildRequires: jpackage-utils
Requires:      jpackage-utils
BuildArch:     noarch


%description
Jexl is an expression language engine designed for easy embedding in 
applications and frameworks. It implements an extended version of the 
Expression Language of the JSTL.

%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}

%description javadoc
Jakarta Java Expression Language (JEXL).

This package contains javadoc for %{name}.

%prep

%setup -q -n commons-jexl-%{version}-src

for j in $(find . -name "*.jar"); do
  mv $j $j.no
done

cp -pr %{SOURCE1} pom.xml

%build

%if !%with_maven
  export CLASSPATH=$(build-classpath commons-logging junit ant/ant-junit)
  CLASSPATH=target/classes:target/test-classes:$CLASSPATH
  ant -Dbuild.sysclasspath=only dist
%else
  export MAVEN_REPO_LOCAL=$PWD/.m2/repository
  mkdir -p $MAVEN_REPO_LOCAL
  mvn-rpmbuild \
    -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
    install javadoc:aggregate
%endif

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

mkdir -p %{buildroot}%{_javadir}

%if !%with_maven
install -pm 644 dist/commons-jexl-%{version}.jar \
  %{buildroot}%{_javadir}/%{name}-%{version}.jar
%else
install -pm 644 target/commons-jexl-%{version}.jar \
  %{buildroot}%{_javadir}/%{name}-%{version}.jar
%endif

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-commons-jexl1.pom
%add_maven_depmap JPP-commons-jexl1.pom commons-jexl1.jar

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}*; do
    ln -sf ${jar} `echo $jar| sed "s|apache-||g"`
  done
)

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}*; do
    ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`
  done
)

mkdir -p %{buildroot}%{_javadocdir}/commons-jexl1
%if !%with_maven
  cp -pr dist/docs/api/* %{buildroot}%{_javadocdir}/commons-jexl1
%else
  cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/commons-jexl1
%endif

%clean
[ %{buildroot} != / ] && rm -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/%{name}.jar
%{_javadir}/commons-jexl1-%{version}.jar
%{_javadir}/commons-jexl1.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%if !%with_maven
%doc dist/LICENSE.txt
%else
%doc LICENSE.txt
%endif
%doc NOTICE.txt RELEASE-NOTES.txt

%files javadoc
%{_javadocdir}/commons-jexl1

%changelog

* Fri Aug 12 2011 gil <gil> 1.1-2.mga2
+ Revision: 132768
- added maven2 pom

  + dmorgan <dmorgan>
    - Fix groups
    - Clean spec file

* Fri Jun 10 2011 gil <gil> 1.1-0.mga2
+ Revision: 102802
- imported package apache-commons-jexl1

